## django-cachalot 2.4.3

=== requirements.txt ===
Django>=2.2,<3.3

=== debian/changelog ===
django-cachalot (2.4.3-2ubuntu1) mantic; urgency=medium

  * d/control: Remove restriction on later Django versions, allowing 4.0+
    (LP: #2022089)
  * d/t/control: Replace autodep8 test, using cachalot as the module name
    rather than django_cachalot

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 25 Aug 2023 12:35:25 -0700

django-cachalot (2.4.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Lena Voytek ]
  * Update Django dependency version to match debian

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 11 Aug 2022 09:33:06 -0700

django-cachalot (2.4.3-1) unstable; urgency=low

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Thu, 30 Sep 2021 09:00:28 +0200

=== debian/control ===
Source: django-cachalot
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django (>= 2:2.2~),
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/noripyt/django-cachalot
Vcs-Git: https://salsa.debian.org/python-team/packages/django-cachalot.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cachalot

Package: python3-django-cachalot
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: cache Django ORM queries and automatically invalidate
 Cachalot is an automatic query cacher for the Django ORM. It
 automatically caches queries and results, and when running the
 same query again, it retrieves results from the cache.
 .
 Cachalot also tracks modifications to data and automatically
 invalidates cached results if it expects cached data to have been
 modified.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=cachalot
# We cannot run the test suite yet; upstream issue pending
export PYBUILD_DISABLE=test
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import cachalot; print(cachalot)" ; done
Depends:
 python3-all,
 @,
Restrictions: superficial

=== debian/watch ===
# please also check http://pypi.debian.net/django-cachalot
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-cachalot/django-cachalot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-cachalot 2.7.0

=== requirements.txt ===
Django>=3.2,<5.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-cachalot.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-cachalot.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-cachalot"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-cachalot"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
django-cachalot (2.7.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: Replace autodep8 test, using cachalot as the module
      name rather than django_cachalot

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 12 Feb 2025 17:20:22 -0500

django-cachalot (2.7.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 Dec 2024 19:48:24 +0200

django-cachalot (2.7.0-1) unstable; urgency=medium

  * Team upload.
  [ Lena Voytek ]
  * New upstream versions 2.4.4, 2.4.5, 2.5.0, 2.5.1
  * d/control: allow python3-django 4.0 and above

  [ Carsten Schoenert ]
  * [db3cdc4] d/watch: Use git mode and resource on GitHub
  * [995d19c] d/gbp.conf: Add some default data
  * [bc492d0] New upstream version 2.7.0
  * [e4e9ac6] Adding patches from patch-queue branch
    Added patches:
    docs-Link-project-image-to-local-data.patch
    docs-Remove-badge-linking.patch
    docs-Use-packaged-intersphinx-resources.patch
  * [7f87d10] d/control: Run wrap-and-sort -ast
  * [10c9d6f] d/control: Move to dh-sequence-python3
  * [0288259] d/rules: Drop --with option from default target
  * [82b3caa] d/README.source: Add some basic information
  * [1a51cab] d/rules: Adjust PYBUILD_NAME to django-cachalot
  * [48a471e] d/control: Add new bin package python-django-cachalot-doc
  * [c414899] d/rules: Add override_dh_sphinxdoc
  * [9a724c8] d/python-django-cachalot-doc.doc-base: Add new sequencer
  * [7cea45f] d/rules: Clean up .mypy_cache in dh_clean
  * [b58137f] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [3ba0ab4] d/control: Add/adjust version dep on python3-django
    (Closes: #1055207)
  * [f65f8fa] d/control: Align short description in p-django-cachalot

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 27 Dec 2024 18:53:45 +0200

=== debian/control ===
Source: django-cachalot
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc <!nodoc>,
 python3-django (>= 3:3.2~),
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/noripyt/django-cachalot
Vcs-Git: https://salsa.debian.org/python-team/packages/django-cachalot.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cachalot

Package: python-django-cachalot-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Caching Django ORM queries & automatic invalidating (Documentation)
 Cachalot is an automatic query cacher for the Django ORM. It
 automatically caches queries and results, and when running the
 same query again, it retrieves results from the cache.
 .
 Cachalot also tracks modifications to data and automatically
 invalidates cached results if it expects cached data to have been
 modified.
 .
 This package contains the documentation of django-cachalot.

Package: python3-django-cachalot
Architecture: all
Depends:
 python3-django (>= 3:3.2),
 python3-django (<= 3:5.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-cachalot-doc,
Description: Caching Django ORM queries & automatic invalidating
 Cachalot is an automatic query cacher for the Django ORM. It
 automatically caches queries and results, and when running the
 same query again, it retrieves results from the cache.
 .
 Cachalot also tracks modifications to data and automatically
 invalidates cached results if it expects cached data to have been
 modified.

## django-cachalot 2.8.0

=== requirements.txt ===
Django>=3.2,<5.3

=== docs/requirements.txt ===
Sphinx==6.2.1
sphinx-rtd-theme==1.2.2
Django>=3.2,<5.2

=== debian/changelog ===
django-cachalot (2.8.0-1ubuntu2) questing; urgency=medium

  * d/control: Fix version requirement to allow python3-django 5.2.x

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 09 Sep 2025 15:55:08 -0400

django-cachalot (2.8.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: Replace autodep8 test, using cachalot as the module name
      rather than django_cachalot

 -- Bryan Alexander <bryan.alexander@canonical.com>  Fri, 25 Jul 2025 11:28:02 -0700

django-cachalot (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * [bc9002c] New upstream version 2.8.0
  * [b820af8] d/control: Update Standards-Version to 4.7.2
  * [862d69b] d/control: Add/adjust version dep on python3-django
  * [9ed688a] d/copyright: Update year data, add myself

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 Apr 2025 17:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/noripyt/django-cachalot
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-cachalot.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cachalot
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  python3-django (>= 3:3.2),
- python3-django (<= 3:5.1),
+ python3-django (< 3:5.3),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=django-cachalot
# We cannot run the test suite yet; upstream issue pending
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/cachalot \
	     python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	cp $(CURDIR)/django-cachalot.jpg $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/_images
	dh_sphinxdoc
endif
